singleton Material(burnside)
{
   mapTo = "burnside";
    colorPaletteMap[2] = "vehicles/burnside/burnside_roof.dds";
    diffuseMap[2] = "vehicles/burnside/burnside_c.dds";
    specularMap[2] = "vehicles/burnside/burnside_s.dds";
    normalMap[2] = "vehicles/burnside/burnside_n.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_d.dds";
    specularMap[1] = "vehicles/burnside/burnside_s.dds";
    normalMap[1] = "vehicles/burnside/burnside_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_stitches)
{
    mapTo = "burnside_stitches";
    diffuseMap[0] = "burnside_stitches_d.dds";
	specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
	alphaTest = "1";
    alphaRef = "50";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 0.8";
	specular[0] = "0.2 0.2 0.2 1";
};

singleton Material(burnside_chrome)
{
   mapTo = "burnside_chrome";
    diffuseMap[1] = "vehicles/common/null2.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.47 0.47 0.47 1";
    diffuseColor[1] = "0.47 0.47 0.47 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_lettering)
{
    mapTo = "burnside_lettering";
    specularMap[0] = "vehicles/burnside/burnside_lettering_s.dds";
    normalMap[0] = "vehicles/burnside/burnside_lettering_n.dds";
    diffuseMap[0] = "vehicles/burnside/burnside_lettering_d.dds";
    reflectivityMap[0] = "vehicles/burnside/burnside_lettering_d.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(burnside_engine_v8)
{
    mapTo = "burnside_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_engine_v8_d.dds";
    normalMap[1] = "vehicles/burnside/burnside_engine_v8_n.dds";
    normalMap[0] = "vehicles/burnside/burnside_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_engine_v8_exhaust)
{
    mapTo = "burnside_engine_v8_exhaust";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/miramar/Hottoroddo/Materials/V8_Exhaust_d.dds";
    specularMap[1] = "vehicles/miramar/Hottoroddo/Materials/V8_Exhaust_d.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.1 1.1 1.1 0.7";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk)
{
    mapTo = "moonhawk";
    colorPaletteMap[3] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_skin_chrome.dds";
    diffuseMap[3] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_chrome.dds";
    specularMap[3] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_s.dds";
    normalMap[3] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_n.dds";
    specularPower[3] = "128";
    pixelSpecular[3] = "1";
    useAnisotropic[3] = "1";
    diffuseMap[2] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_c.dds";
    specularMap[2] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_s.dds";
    normalMap[2] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_n.dds";
    diffuseMap[1] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_d.dds";
    specularMap[1] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_s.dds";
    normalMap[1] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk_drag)
{
    mapTo = "moonhawk_drag";
    diffuseMap[1] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_drag_d.dds";
    specularMap[1] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_drag_d.dds";
    normalMap[1] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_drag_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/Hottoroddo/Materials/moonhawk_drag_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

